commit:     7d823aeae7309b2e18e57c74cd12d630a681e7ee
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Thu May  6 07:03:40 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu May  6 07:22:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d823aea

games-arcade/cosmosmash: bump up to 1.4.8

Reported-by: Toralf Förster
Closes: https://bugs.gentoo.org/787617
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 games-arcade/cosmosmash/Manifest                |  1 +
 games-arcade/cosmosmash/cosmosmash-1.4.8.ebuild | 37 +++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/games-arcade/cosmosmash/Manifest b/games-arcade/cosmosmash/Manifest
index e5f1ca58169..9f94f69f939 100644
--- a/games-arcade/cosmosmash/Manifest
+++ b/games-arcade/cosmosmash/Manifest
@@ -1 +1,2 @@
 DIST cosmosmash-1.4.7.tar.gz 906213 BLAKE2B 
58117881e8f705d85c40cf5d0c56a734b80ebf7a84909c98a085aa5d880247c72af8a84d54fe11a4f02c8af226005c561802d93e7a747ff4a836feefde1cafde
 SHA512 
1eaf8b05550c6f96e6392f6ba4565700cd4a9cac66dd57d634569caf9b4dfaf4917b3b9973153d4e6e0ddcd65c68d5242faae7c4f516c07c2e07d1b2f3b838b9
+DIST cosmosmash-1.4.8.tar.gz 921859 BLAKE2B 
601ccf0eaf429bee240a6a07534afc44cb5bac390bedfc2548668048b8a5d93229e36de1c0e73856e3588d35cf7cfc6dbb00ac428fcc42612676281dcfaf0896
 SHA512 
4b78cac18035ef4bdbdebd2a206ceb3c80646fa030f568e171208af7510a6b1da9ef3fd817f3ebae83fbb42b1ce2900e8f1ff33ec23a8fe735022409ab1120af

diff --git a/games-arcade/cosmosmash/cosmosmash-1.4.8.ebuild 
b/games-arcade/cosmosmash/cosmosmash-1.4.8.ebuild
new file mode 100644
index 00000000000..7ca6cd6f8ad
--- /dev/null
+++ b/games-arcade/cosmosmash/cosmosmash-1.4.8.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="A space rock shooting video game"
+HOMEPAGE="https://perso.b2b2c.ca/~sarrazip/dev/cosmosmash.html";
+SRC_URI="http://perso.b2b2c.ca/~sarrazip/dev/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="test" # uses the sound card which portage user might not be 
available.
+
+RDEPEND=">=dev-games/flatzebra-0.1.7"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       sed -i \
+               -e "/^pkgsounddir/ s:sounds.*:\$(PACKAGE)/sounds:" \
+               -e "/^desktopentrydir/ s:=.*:=/usr/share/applications:" \
+               -e "/^pixmapdir/ s:=.*:=/usr/share/pixmaps:" \
+               src/Makefile.am \
+               || die
+       eautoreconf
+}
+
+src_install() {
+       emake -C src DESTDIR="${D}" install
+       einstalldocs
+       doman doc/${PN}.6
+}

Reply via email to